QuartzMessages (Mule ESB 2.2.1 API)
Keywords: org.mule.transport.quartz.i18n.QuartzMessages class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.transport.quartz.i18n
Class QuartzMessages

    java.lang.Object
      org.mule.config.i18n.MessageFactory
          org.mule.transport.quartz.i18n.QuartzMessages

    public class QuartzMessages

extends MessageFactory

Field Summary

Fields inherited from class org.mule.config.i18n.MessageFactory
`logger`

Constructor Summary
`QuartzMessages()`

Method Summary
`static Message` | `connectorNotInJobDataMap()`
`static Message` | `cronExpressionOrIntervalMustBeSet()`
`static Message` | `invalidJobObject()`
`static Message` | `invalidPayloadType()`
`static Message` | `missingJobDetail(String detail)`
`static Message` | `noConnectorFound(String connectorName)`
`static Message` | `noReceiverInConnector(String receiver, String connector)`
`static Message` | `receiverNotInJobDataMap()`

Methods inherited from class org.mule.config.i18n.MessageFactory
`createMessage, createMessage, createMessage, createMessage, createMessage, createStaticMessage, getBundlePath, getClassLoader, getString, getString, getString, getString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### QuartzMessages

    public QuartzMessages()

Method Detail

### cronExpressionOrIntervalMustBeSet

    public static Message cronExpressionOrIntervalMustBeSet()

### invalidPayloadType

    public static Message invalidPayloadType()

### invalidJobObject

    public static Message invalidJobObject()

### missingJobDetail

    public static Message missingJobDetail(String detail)

### receiverNotInJobDataMap

    public static Message receiverNotInJobDataMap()

### connectorNotInJobDataMap

    public static Message connectorNotInJobDataMap()

### noConnectorFound

    public static Message noConnectorFound(String connectorName)

### noReceiverInConnector

    public static Message noReceiverInConnector(String receiver,
                                                String connector)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.